Skip to main content

GET Orders

Get list of all orders in one account NT8

Lists orders for one NT8 account, with optional active-order filtering.

Endpoint

GET /v1/api/accounts/{account}/orders

Headers

NameValue
Content-Typeapplication/json
AuthorizationBearer <token>

Path parameters

NameTypeRequiredDescription
accountstringRequiredName of account in NT8

Query parameters

NameTypeRequiredDescription
activeOnlybooleanOptionalWhen true, exclude terminal orders. Defaults to true for this HTTP route.

Code examples

import requests

token = 'my-secret-token'

url = "https://app.crosstrade.io/v1/api/accounts/Sim101/orders"
headers = {
"Authorization": f"Bearer {token}",
"Content-Type": "application/json"
}
params = {
"activeOnly": False
}

try:
response = requests.get(url, headers=headers, params=params)
print(f"Response Code: {response.status_code}, Response Text: {response.text}")
except Exception as e:
print(f"An error occurred: {e}")

Response

{
"orders": [
{
"id": "3cac8a5e85a041ababd9e33a4cecdbc0",
"type": "NinjaTrader.Cbi.Order",
"time": "2025-09-26T11:37:08.4195857",
"epoch": 1727375828419,
"name": "",
"ocoId": "",
"onBehalfOf": "",
"clientId": -1,
"account": "Sim101",
"instrument": "ES 12-25",
"instrumentType": "Future",
"orderType": "Limit",
"orderState": "Working",
"orderAction": "Sell",
"quantity": 1,
"quantityChanged": 1,
"limitPrice": 5805.0,
"limitPriceChanged": 5805.0,
"stopPrice": 0.0,
"stopPriceChanged": 0.0,
"averageFillPrice": 0.0,
"filled": 0,
"timeInForce": "Day",
"gtd": "2099-12-01T00:00:00.0000000",
"fromEntrySignal": null,
"hasOverfill": false,
"isBacktestOrder": false,
"isLimit": true,
"isLiveUntilCancelled": false,
"isLong": false,
"isMarket": false,
"isMarketIfTouched": false,
"isShort": true,
"isSimulatedStop": false,
"isStopLimit": false,
"isStopMarket": false,
"isTrackingConfigured": false,
"isTrackingEnabled": false,
"userData": "<NinjaTrader />",
"ownerStrategy": {
"id": null,
"name": null,
"displayName": null
}
}
],
"success": true
}

Platform nuances

  • The HTTP route always passes activeOnly; when omitted from the URL it defaults to true.
  • With activeOnly=true, terminal orders are excluded. With activeOnly=false, the response includes terminal and nonterminal orders currently retained by NT8 for the selected account.

WebSocket API

This request can also be made over the WebSocket API. The account path parameter and query parameters are passed inside args.

{
"action": "rpc",
"id": "my-request-id",
"api": "ListOrders",
"args": {
"account": "Sim101",
"activeOnly": false
}
}